Bug 1821867

Summary: release-openshift-ocp-installer-e2e-gcp-ovn-4.4: currently broken & need to be fixed and reenabled
Product: OpenShift Container Platform Reporter: Kirsten Garrison <kgarriso>
Component: NetworkingAssignee: Ben Bennett <bbennett>
Networking sub component: openshift-sdn QA Contact: zhaozhanqi <zzhao>
Status: CLOSED WORKSFORME Docs Contact:
Severity: high    
Priority: unspecified CC: aconstan, bbennett, bparees, cdc, dmellado
Version: 4.4   
Target Milestone: ---   
Target Release: 4.6.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: SDN-CI-IMPACT
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-13 14:48:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Kirsten Garrison 2020-04-07 18:26:34 UTC
gcp-ovn job is consistently failing for a month:
https://prow.svc.ci.openshift.org/job-history/origin-ci-test/logs/release-openshift-ocp-installer-e2e-gcp-ovn-4.4

They have been removed from the release controller by: https://github.com/openshift/release/pull/8195

and marked broken :
https://github.com/openshift/release/pull/8197

This BZ is to be closed when the job is fixed and reenabled.

Comment 1 Ben Parees 2020-04-08 00:03:29 UTC
4.5 jobs were also marked broken and need to be reenabled when this is fixed.

Comment 2 Ben Parees 2020-05-19 13:25:46 UTC
my understanding was gcp-ovn was a supported feature in 4.5, what's the basis for deferring this?

Comment 3 Casey Callendrello 2020-05-19 14:04:01 UTC
Yeah, good question.

We have decent gcp coverage for ovn for the cluster-network-operator and ovn-kubernetes repositories. However, CI is still flaky (it will be fixed, bz1788309 ) and we made the call that the installer-ovn-kubernetes job could be deferred until that's fixed.

Seem reasonable? We didn't want to block all installer PRs unnecessarily.

Comment 4 Ben Parees 2020-05-19 14:12:29 UTC
As long as you have another basis for proving the feature works, it sounds ok to me.